Bug 230864 - Make %%PORTDOCS%%/%%PORTEXAMPLES%% less magical and require the use of the DOCS/EXAMPLES option for them to work
Summary: Make %%PORTDOCS%%/%%PORTEXAMPLES%% less magical and require the use of the DO...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Ports Framework (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Port Management Team
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-08-24 15:52 UTC by Mathieu Arnold
Modified: 2019-01-19 13:38 UTC (History)
3 users (show)

See Also:
mat: exp-run?


Attachments
base commit: r477957 (349.64 KB, patch)
2018-08-24 15:52 UTC, Mathieu Arnold
no flags Details | Diff
base commit: r477957 (349.64 KB, patch)
2018-08-24 18:20 UTC, Mathieu Arnold
no flags Details | Diff
base commit: r478208 (350.45 KB, patch)
2018-08-27 14:11 UTC, Mathieu Arnold
no flags Details | Diff
base commit: r478349 (353.52 KB, patch)
2018-08-29 13:09 UTC, Mathieu Arnold
no flags Details | Diff
base commit: r478528 (354.06 KB, patch)
2018-08-31 08:24 UTC, Mathieu Arnold
no flags Details | Diff
base commit: r478528 (418.34 KB, patch)
2018-09-03 09:41 UTC, Mathieu Arnold
no flags Details | Diff
base commit: r478528 (431.32 KB, patch)
2018-09-03 13:36 UTC, Mathieu Arnold
no flags Details | Diff
base commit: r479161 (431.46 KB, patch)
2018-09-06 21:41 UTC, Mathieu Arnold
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mathieu Arnold freebsd_committer 2018-08-24 15:52:16 UTC
Created attachment 196502 [details]
base commit: r477957
Comment 1 Mathieu Arnold freebsd_committer 2018-08-24 18:18:40 UTC
Also add errors when using PORTDOCS and PORTEXAMPLES variables without the DOCS and EXAMPLES options.
Comment 2 Mathieu Arnold freebsd_committer 2018-08-24 18:20:44 UTC
Created attachment 196505 [details]
base commit: r477957

Fix %%PORTDOCS%%/%%PORTEXAMPLES%% if the options are not in OPTIONS_DEFINE but in groups.
Comment 3 Antoine Brodin freebsd_committer 2018-08-27 11:20:28 UTC
lang/lua53 fails check-sanity
Comment 4 Antoine Brodin freebsd_committer 2018-08-27 13:29:30 UTC
devel/gprbuild fails check-sanity too
Comment 5 Mathieu Arnold freebsd_committer 2018-08-27 14:11:53 UTC
Created attachment 196599 [details]
base commit: r478208

Fix sanity checks.
Comment 7 Antoine Brodin freebsd_committer 2018-08-28 07:57:28 UTC
dns/bind-tools fails check-sanity
Comment 9 Antoine Brodin freebsd_committer 2018-08-29 11:59:08 UTC
games/tanglet has option NLS undefined now so fails to package:

http://package18.nyi.freebsd.org/data/111amd64-default-PR230864/2018-08-27_14h22m48s/logs/errors/tanglet-1.5.3_1.log
Comment 10 Mathieu Arnold freebsd_committer 2018-08-29 13:09:13 UTC
Created attachment 196677 [details]
base commit: r478349

Fix all those (except the kde docs orphans, even them have no idea what they are)
Comment 11 Antoine Brodin freebsd_committer 2018-08-30 09:20:46 UTC
It seems security/webfwlog doesn't pull libmysqlclient.so.18 with the patch:

http://package18.nyi.freebsd.org/data/111amd64-default-PR230864/2018-08-29_13h32m00s/logs/errors/webfwlog-1.1.0_2.log
Comment 13 Mathieu Arnold freebsd_committer 2018-08-31 08:24:39 UTC
Created attachment 196741 [details]
base commit: r478528

rebase and fix fallout.
Comment 14 Antoine Brodin freebsd_committer 2018-09-01 16:39:43 UTC
It seems most kde ports are missing a DOCS option?  (exp-run at 15%)

http://package18.nyi.freebsd.org/data/111i386-default-PR230864/2018-09-01_06h34m37s/logs/errors/artikulate-18.08.0.log
http://package18.nyi.freebsd.org/data/111i386-default-PR230864/2018-09-01_06h34m37s/logs/errors/blinken-18.08.0.log
http://package18.nyi.freebsd.org/data/111i386-default-PR230864/2018-09-01_06h34m37s/logs/errors/dragon-player-18.08.0.log
http://package18.nyi.freebsd.org/data/111i386-default-PR230864/2018-09-01_06h34m37s/logs/errors/ja-kiten-18.08.0.log
http://package18.nyi.freebsd.org/data/111i386-default-PR230864/2018-09-01_06h34m37s/logs/errors/kate-18.08.0.log
http://package18.nyi.freebsd.org/data/111i386-default-PR230864/2018-09-01_06h34m37s/logs/errors/kcharselect-18.08.0.log
http://package18.nyi.freebsd.org/data/111i386-default-PR230864/2018-09-01_06h34m37s/logs/errors/kdelibs-kde4-4.14.38_5.log
http://package18.nyi.freebsd.org/data/111i386-default-PR230864/2018-09-01_06h34m37s/logs/errors/keditbookmarks-18.08.0.log
http://package18.nyi.freebsd.org/data/111i386-default-PR230864/2018-09-01_06h34m37s/logs/errors/khangman-18.08.0.log
http://package18.nyi.freebsd.org/data/111i386-default-PR230864/2018-09-01_06h34m37s/logs/errors/ksystemlog-18.08.0.log
http://package18.nyi.freebsd.org/data/111i386-default-PR230864/2018-09-01_06h34m37s/logs/errors/kteatime-18.08.0.log
http://package18.nyi.freebsd.org/data/111i386-default-PR230864/2018-09-01_06h34m37s/logs/errors/ktimer-18.08.0.log
http://package18.nyi.freebsd.org/data/111i386-default-PR230864/2018-09-01_06h34m37s/logs/errors/libkcddb-18.08.0.log
http://package18.nyi.freebsd.org/data/111i386-default-PR230864/2018-09-01_06h34m37s/logs/errors/spectacle-18.08.0.log
Comment 15 Antoine Brodin freebsd_committer 2018-09-03 05:21:33 UTC
New failures on 11.1 i386 (due to missing DOCS option?):

http://package18.nyi.freebsd.org/data/111i386-default-PR230864/2018-09-01_06h34m37s/logs/errors/akonadi-calendar-tools-18.08.0.log
http://package18.nyi.freebsd.org/data/111i386-default-PR230864/2018-09-01_06h34m37s/logs/errors/akonadi-import-wizard-18.08.0.log
http://package18.nyi.freebsd.org/data/111i386-default-PR230864/2018-09-01_06h34m37s/logs/errors/akregator-18.08.0.log
http://package18.nyi.freebsd.org/data/111i386-default-PR230864/2018-09-01_06h34m37s/logs/errors/ark-18.08.0.log
http://package18.nyi.freebsd.org/data/111i386-default-PR230864/2018-09-01_06h34m37s/logs/errors/artikulate-18.08.0.log
http://package18.nyi.freebsd.org/data/111i386-default-PR230864/2018-09-01_06h34m37s/logs/errors/audiocd-kio-18.08.0.log
http://package18.nyi.freebsd.org/data/111i386-default-PR230864/2018-09-01_06h34m37s/logs/errors/blinken-18.08.0.log
http://package18.nyi.freebsd.org/data/111i386-default-PR230864/2018-09-01_06h34m37s/logs/errors/bomber-18.08.0.log
http://package18.nyi.freebsd.org/data/111i386-default-PR230864/2018-09-01_06h34m37s/logs/errors/bovo-18.08.0.log
http://package18.nyi.freebsd.org/data/111i386-default-PR230864/2018-09-01_06h34m37s/logs/errors/cantor-18.08.0.log
http://package18.nyi.freebsd.org/data/111i386-default-PR230864/2018-09-01_06h34m37s/logs/errors/cervisia-18.08.0.log
http://package18.nyi.freebsd.org/data/111i386-default-PR230864/2018-09-01_06h34m37s/logs/errors/dolphin-18.08.0.log
http://package18.nyi.freebsd.org/data/111i386-default-PR230864/2018-09-01_06h34m37s/logs/errors/dragon-player-18.08.0.log
http://package18.nyi.freebsd.org/data/111i386-default-PR230864/2018-09-01_06h34m37s/logs/errors/filelight-18.08.0.log
http://package18.nyi.freebsd.org/data/111i386-default-PR230864/2018-09-01_06h34m37s/logs/errors/granatier-18.08.0.log
http://package18.nyi.freebsd.org/data/111i386-default-PR230864/2018-09-01_06h34m37s/logs/errors/grantlee-editor-18.08.0.log
http://package18.nyi.freebsd.org/data/111i386-default-PR230864/2018-09-01_06h34m37s/logs/errors/gwenview-18.08.0.log
http://package18.nyi.freebsd.org/data/111i386-default-PR230864/2018-09-01_06h34m37s/logs/errors/ja-kiten-18.08.0.log
http://package18.nyi.freebsd.org/data/111i386-default-PR230864/2018-09-01_06h34m37s/logs/errors/juk-18.08.0.log
http://package18.nyi.freebsd.org/data/111i386-default-PR230864/2018-09-01_06h34m37s/logs/errors/k3b-18.08.0.log
http://package18.nyi.freebsd.org/data/111i386-default-PR230864/2018-09-01_06h34m37s/logs/errors/kalarm-18.08.0.log
http://package18.nyi.freebsd.org/data/111i386-default-PR230864/2018-09-01_06h34m37s/logs/errors/kalgebra-18.08.0.log
http://package18.nyi.freebsd.org/data/111i386-default-PR230864/2018-09-01_06h34m37s/logs/errors/kalzium-18.08.0.log
http://package18.nyi.freebsd.org/data/111i386-default-PR230864/2018-09-01_06h34m37s/logs/errors/kamera-18.08.0.log
http://package18.nyi.freebsd.org/data/111i386-default-PR230864/2018-09-01_06h34m37s/logs/errors/kamoso-18.08.0.log
http://package18.nyi.freebsd.org/data/111i386-default-PR230864/2018-09-01_06h34m37s/logs/errors/kanagram-18.08.0.log
http://package18.nyi.freebsd.org/data/111i386-default-PR230864/2018-09-01_06h34m37s/logs/errors/kapman-18.08.0.log
http://package18.nyi.freebsd.org/data/111i386-default-PR230864/2018-09-01_06h34m37s/logs/errors/kapptemplate-18.08.0.log
http://package18.nyi.freebsd.org/data/111i386-default-PR230864/2018-09-01_06h34m37s/logs/errors/kate-18.08.0.log
http://package18.nyi.freebsd.org/data/111i386-default-PR230864/2018-09-01_06h34m37s/logs/errors/katomic-18.08.0.log
http://package18.nyi.freebsd.org/data/111i386-default-PR230864/2018-09-01_06h34m37s/logs/errors/kbackup-18.08.0.log
http://package18.nyi.freebsd.org/data/111i386-default-PR230864/2018-09-01_06h34m37s/logs/errors/kblackbox-18.08.0.log
http://package18.nyi.freebsd.org/data/111i386-default-PR230864/2018-09-01_06h34m37s/logs/errors/kblocks-18.08.0.log
http://package18.nyi.freebsd.org/data/111i386-default-PR230864/2018-09-01_06h34m37s/logs/errors/kbounce-18.08.0.log
http://package18.nyi.freebsd.org/data/111i386-default-PR230864/2018-09-01_06h34m37s/logs/errors/kbreakout-18.08.0.log
http://package18.nyi.freebsd.org/data/111i386-default-PR230864/2018-09-01_06h34m37s/logs/errors/kbruch-18.08.0.log
http://package18.nyi.freebsd.org/data/111i386-default-PR230864/2018-09-01_06h34m37s/logs/errors/kcachegrind-18.08.0.log
http://package18.nyi.freebsd.org/data/111i386-default-PR230864/2018-09-01_06h34m37s/logs/errors/kcalc-18.08.0.log
http://package18.nyi.freebsd.org/data/111i386-default-PR230864/2018-09-01_06h34m37s/logs/errors/kcharselect-18.08.0.log
http://package18.nyi.freebsd.org/data/111i386-default-PR230864/2018-09-01_06h34m37s/logs/errors/kcron-18.08.0.log
http://package18.nyi.freebsd.org/data/111i386-default-PR230864/2018-09-01_06h34m37s/logs/errors/kdelibs-kde4-4.14.38_5.log
http://package18.nyi.freebsd.org/data/111i386-default-PR230864/2018-09-01_06h34m37s/logs/errors/kdenlive-18.08.0.log
http://package18.nyi.freebsd.org/data/111i386-default-PR230864/2018-09-01_06h34m37s/logs/errors/kdepim-runtime-18.08.0.log
http://package18.nyi.freebsd.org/data/111i386-default-PR230864/2018-09-01_06h34m37s/logs/errors/kdf-18.08.0.log
http://package18.nyi.freebsd.org/data/111i386-default-PR230864/2018-09-01_06h34m37s/logs/errors/kdiamond-18.08.0.log
http://package18.nyi.freebsd.org/data/111i386-default-PR230864/2018-09-01_06h34m37s/logs/errors/keditbookmarks-18.08.0.log
http://package18.nyi.freebsd.org/data/111i386-default-PR230864/2018-09-01_06h34m37s/logs/errors/kfind-18.08.0.log
http://package18.nyi.freebsd.org/data/111i386-default-PR230864/2018-09-01_06h34m37s/logs/errors/kfloppy-18.08.0.log
http://package18.nyi.freebsd.org/data/111i386-default-PR230864/2018-09-01_06h34m37s/logs/errors/kfourinline-18.08.0.log
http://package18.nyi.freebsd.org/data/111i386-default-PR230864/2018-09-01_06h34m37s/logs/errors/kgeography-18.08.0.log
http://package18.nyi.freebsd.org/data/111i386-default-PR230864/2018-09-01_06h34m37s/logs/errors/kget-18.08.0.log
http://package18.nyi.freebsd.org/data/111i386-default-PR230864/2018-09-01_06h34m37s/logs/errors/kgoldrunner-18.08.0.log
http://package18.nyi.freebsd.org/data/111i386-default-PR230864/2018-09-01_06h34m37s/logs/errors/kgpg-18.08.0.log
http://package18.nyi.freebsd.org/data/111i386-default-PR230864/2018-09-01_06h34m37s/logs/errors/khangman-18.08.0.log
http://package18.nyi.freebsd.org/data/111i386-default-PR230864/2018-09-01_06h34m37s/logs/errors/khelpcenter-18.08.0.log
http://package18.nyi.freebsd.org/data/111i386-default-PR230864/2018-09-01_06h34m37s/logs/errors/kig-18.08.0.log
http://package18.nyi.freebsd.org/data/111i386-default-PR230864/2018-09-01_06h34m37s/logs/errors/kigo-18.08.0.log
http://package18.nyi.freebsd.org/data/111i386-default-PR230864/2018-09-01_06h34m37s/logs/errors/killbots-18.08.0.log
http://package18.nyi.freebsd.org/data/111i386-default-PR230864/2018-09-01_06h34m37s/logs/errors/kimagemapeditor-18.08.0.log
http://package18.nyi.freebsd.org/data/111i386-default-PR230864/2018-09-01_06h34m37s/logs/errors/kio-extras-18.08.0.log
http://package18.nyi.freebsd.org/data/111i386-default-PR230864/2018-09-01_06h34m37s/logs/errors/kiriki-18.08.0.log
http://package18.nyi.freebsd.org/data/111i386-default-PR230864/2018-09-01_06h34m37s/logs/errors/kjumpingcube-18.08.0.log
http://package18.nyi.freebsd.org/data/111i386-default-PR230864/2018-09-01_06h34m37s/logs/errors/kldap-18.08.0.log
http://package18.nyi.freebsd.org/data/111i386-default-PR230864/2018-09-01_06h34m37s/logs/errors/kleopatra-18.08.0.log
http://package18.nyi.freebsd.org/data/111i386-default-PR230864/2018-09-01_06h34m37s/logs/errors/klettres-18.08.0.log
http://package18.nyi.freebsd.org/data/111i386-default-PR230864/2018-09-01_06h34m37s/logs/errors/klickety-18.08.0.log
http://package18.nyi.freebsd.org/data/111i386-default-PR230864/2018-09-01_06h34m37s/logs/errors/klines-18.08.0.log
http://package18.nyi.freebsd.org/data/111i386-default-PR230864/2018-09-01_06h34m37s/logs/errors/kmag-18.08.0.log
http://package18.nyi.freebsd.org/data/111i386-default-PR230864/2018-09-01_06h34m37s/logs/errors/kmahjongg-18.08.0.log
http://package18.nyi.freebsd.org/data/111i386-default-PR230864/2018-09-01_06h34m37s/logs/errors/kmail-18.08.0.log
http://package18.nyi.freebsd.org/data/111i386-default-PR230864/2018-09-01_06h34m37s/logs/errors/kmines-18.08.0.log
http://package18.nyi.freebsd.org/data/111i386-default-PR230864/2018-09-01_06h34m37s/logs/errors/kmix-18.08.0.log
http://package18.nyi.freebsd.org/data/111i386-default-PR230864/2018-09-01_06h34m37s/logs/errors/kmousetool-18.08.0.log
http://package18.nyi.freebsd.org/data/111i386-default-PR230864/2018-09-01_06h34m37s/logs/errors/kmouth-18.08.0.log
http://package18.nyi.freebsd.org/data/111i386-default-PR230864/2018-09-01_06h34m37s/logs/errors/kmplot-18.08.0.log
http://package18.nyi.freebsd.org/data/111i386-default-PR230864/2018-09-01_06h34m37s/logs/errors/knavalbattle-18.08.0.log
http://package18.nyi.freebsd.org/data/111i386-default-PR230864/2018-09-01_06h34m37s/logs/errors/knetwalk-18.08.0.log
http://package18.nyi.freebsd.org/data/111i386-default-PR230864/2018-09-01_06h34m37s/logs/errors/knotes-18.08.0.log
http://package18.nyi.freebsd.org/data/111i386-default-PR230864/2018-09-01_06h34m37s/logs/errors/kolf-18.08.0.log
http://package18.nyi.freebsd.org/data/111i386-default-PR230864/2018-09-01_06h34m37s/logs/errors/kollision-18.08.0.log
http://package18.nyi.freebsd.org/data/111i386-default-PR230864/2018-09-01_06h34m37s/logs/errors/kolourpaint-18.08.0.log
http://package18.nyi.freebsd.org/data/111i386-default-PR230864/2018-09-01_06h34m37s/logs/errors/kompare-18.08.0.log
http://package18.nyi.freebsd.org/data/111i386-default-PR230864/2018-09-01_06h34m37s/logs/errors/konqueror-18.08.0.log
http://package18.nyi.freebsd.org/data/111i386-default-PR230864/2018-09-01_06h34m37s/logs/errors/konquest-18.08.0.log
http://package18.nyi.freebsd.org/data/111i386-default-PR230864/2018-09-01_06h34m37s/logs/errors/konsole-18.08.0.log
http://package18.nyi.freebsd.org/data/111i386-default-PR230864/2018-09-01_06h34m37s/logs/errors/kontact-18.08.0.log
http://package18.nyi.freebsd.org/data/111i386-default-PR230864/2018-09-01_06h34m37s/logs/errors/kopete-18.08.0.log
http://package18.nyi.freebsd.org/data/111i386-default-PR230864/2018-09-01_06h34m37s/logs/errors/korganizer-18.08.0.log
http://package18.nyi.freebsd.org/data/111i386-default-PR230864/2018-09-01_06h34m37s/logs/errors/kpat-18.08.0.log
http://package18.nyi.freebsd.org/data/111i386-default-PR230864/2018-09-01_06h34m37s/logs/errors/krdc-18.08.0.log
http://package18.nyi.freebsd.org/data/111i386-default-PR230864/2018-09-01_06h34m37s/logs/errors/kreversi-18.08.0.log
http://package18.nyi.freebsd.org/data/111i386-default-PR230864/2018-09-01_06h34m37s/logs/errors/krfb-18.08.0.log
http://package18.nyi.freebsd.org/data/111i386-default-PR230864/2018-09-01_06h34m37s/logs/errors/kruler-18.08.0.log
http://package18.nyi.freebsd.org/data/111i386-default-PR230864/2018-09-01_06h34m37s/logs/errors/kshisen-18.08.0.log
http://package18.nyi.freebsd.org/data/111i386-default-PR230864/2018-09-01_06h34m37s/logs/errors/ksirk-18.08.0.log
http://package18.nyi.freebsd.org/data/111i386-default-PR230864/2018-09-01_06h34m37s/logs/errors/ksnakeduel-18.08.0.log
http://package18.nyi.freebsd.org/data/111i386-default-PR230864/2018-09-01_06h34m37s/logs/errors/kspaceduel-18.08.0.log
http://package18.nyi.freebsd.org/data/111i386-default-PR230864/2018-09-01_06h34m37s/logs/errors/ksquares-18.08.0.log
http://package18.nyi.freebsd.org/data/111i386-default-PR230864/2018-09-01_06h34m37s/logs/errors/ksudoku-18.08.0.log
http://package18.nyi.freebsd.org/data/111i386-default-PR230864/2018-09-01_06h34m37s/logs/errors/ksystemlog-18.08.0.log
http://package18.nyi.freebsd.org/data/111i386-default-PR230864/2018-09-01_06h34m37s/logs/errors/kteatime-18.08.0.log
http://package18.nyi.freebsd.org/data/111i386-default-PR230864/2018-09-01_06h34m37s/logs/errors/ktimer-18.08.0.log
http://package18.nyi.freebsd.org/data/111i386-default-PR230864/2018-09-01_06h34m37s/logs/errors/ktouch-18.08.0.log
http://package18.nyi.freebsd.org/data/111i386-default-PR230864/2018-09-01_06h34m37s/logs/errors/ktuberling-18.08.0.log
http://package18.nyi.freebsd.org/data/111i386-default-PR230864/2018-09-01_06h34m37s/logs/errors/kturtle-18.08.0.log
http://package18.nyi.freebsd.org/data/111i386-default-PR230864/2018-09-01_06h34m37s/logs/errors/kubrick-18.08.0.log
http://package18.nyi.freebsd.org/data/111i386-default-PR230864/2018-09-01_06h34m37s/logs/errors/kwalletmanager-18.08.0.log
http://package18.nyi.freebsd.org/data/111i386-default-PR230864/2018-09-01_06h34m37s/logs/errors/kwave-18.08.0.log
http://package18.nyi.freebsd.org/data/111i386-default-PR230864/2018-09-01_06h34m37s/logs/errors/kwordquiz-18.08.0.log
http://package18.nyi.freebsd.org/data/111i386-default-PR230864/2018-09-01_06h34m37s/logs/errors/libkcddb-18.08.0.log
http://package18.nyi.freebsd.org/data/111i386-default-PR230864/2018-09-01_06h34m37s/logs/errors/libksieve-18.08.0.log
http://package18.nyi.freebsd.org/data/111i386-default-PR230864/2018-09-01_06h34m37s/logs/errors/lokalize-18.08.0.log
http://package18.nyi.freebsd.org/data/111i386-default-PR230864/2018-09-01_06h34m37s/logs/errors/lskat-18.08.0.log
http://package18.nyi.freebsd.org/data/111i386-default-PR230864/2018-09-01_06h34m37s/logs/errors/marble-18.08.0.log
http://package18.nyi.freebsd.org/data/111i386-default-PR230864/2018-09-01_06h34m37s/logs/errors/okteta-17.12.3.log
http://package18.nyi.freebsd.org/data/111i386-default-PR230864/2018-09-01_06h34m37s/logs/errors/okular-18.08.0.log
http://package18.nyi.freebsd.org/data/111i386-default-PR230864/2018-09-01_06h34m37s/logs/errors/openssh-portable-hpn-7.7.p1_6,1.log
http://package18.nyi.freebsd.org/data/111i386-default-PR230864/2018-09-01_06h34m37s/logs/errors/palapeli-18.08.0.log
http://package18.nyi.freebsd.org/data/111i386-default-PR230864/2018-09-01_06h34m37s/logs/errors/parley-18.08.0.log
http://package18.nyi.freebsd.org/data/111i386-default-PR230864/2018-09-01_06h34m37s/logs/errors/picmi-18.08.0.log
http://package18.nyi.freebsd.org/data/111i386-default-PR230864/2018-09-01_06h34m37s/logs/errors/pim-data-exporter-18.08.0.log
http://package18.nyi.freebsd.org/data/111i386-default-PR230864/2018-09-01_06h34m37s/logs/errors/pim-sieve-editor-18.08.0.log
http://package18.nyi.freebsd.org/data/111i386-default-PR230864/2018-09-01_06h34m37s/logs/errors/py27-Jinja2-doc-2.10.log
http://package18.nyi.freebsd.org/data/111i386-default-PR230864/2018-09-01_06h34m37s/logs/errors/py36-Jinja2-doc-2.10.log
http://package18.nyi.freebsd.org/data/111i386-default-PR230864/2018-09-01_06h34m37s/logs/errors/rocs-18.08.0.log
http://package18.nyi.freebsd.org/data/111i386-default-PR230864/2018-09-01_06h34m37s/logs/errors/spectacle-18.08.0.log
http://package18.nyi.freebsd.org/data/111i386-default-PR230864/2018-09-01_06h34m37s/logs/errors/step-18.08.0.log
http://package18.nyi.freebsd.org/data/111i386-default-PR230864/2018-09-01_06h34m37s/logs/errors/sweeper-18.08.0.log
http://package18.nyi.freebsd.org/data/111i386-default-PR230864/2018-09-01_06h34m37s/logs/errors/umbrello-18.08.0.log
Comment 16 Mathieu Arnold freebsd_committer 2018-09-03 09:41:10 UTC
Created attachment 196810 [details]
base commit: r478528

I had missed that kde4 ports had PORTDOCS set in Mk/Uses/kde.mk.

This has not been rebased, so an incremental build can be done.
Comment 17 Antoine Brodin freebsd_committer 2018-09-03 10:56:30 UTC
(In reply to Mathieu Arnold from comment #16)

I don't think it's correct,  it seems it's mostly kde5 ports that are missing the DOCS option

openssh-portable-hpn isn't fixed

py-Jinja2-doc is special and is a py-Jinja2 slave
Comment 18 Mathieu Arnold freebsd_committer 2018-09-03 12:43:01 UTC
Mmmm, I read kde.mk wrong :(
Let me fix that.
Comment 19 Mathieu Arnold freebsd_committer 2018-09-03 13:12:16 UTC
And yes, I did not fix the other ports because I did not look at the whole list. There were a large majority of kde ports, I'd rather fix those first, and see what remains after.

I'll look at openssh and jinja.
Comment 20 Mathieu Arnold freebsd_committer 2018-09-03 13:36:32 UTC
Created attachment 196814 [details]
base commit: r478528
Comment 21 Antoine Brodin freebsd_committer 2018-09-06 18:35:12 UTC
Can you rebase the patch?
Comment 22 Mathieu Arnold freebsd_committer 2018-09-06 21:41:16 UTC
Created attachment 196929 [details]
base commit: r479161
Comment 24 commit-hook freebsd_committer 2018-09-10 13:11:38 UTC
A commit references this bug:

Author: mat
Date: Mon Sep 10 13:11:13 UTC 2018
New revision: 479404
URL: https://svnweb.freebsd.org/changeset/ports/479404

Log:
  Some modules depend on other being there before.

  For example, devel_kit needs to be there before a few other, so this
  fixes, and allow for future fixes of this kind of problem:

  configuring additional dynamic modules
  adding module in /wrkdirs/usr/ports/www/nginx-full/work/array-var-nginx-module-0.05
  error: ngx_devel_kit is required to build ngx_array_var; please put it before ngx_array_var.

  PR:		230864
  Submitted by:	mat
  exp-runs by:	antoine

Changes:
  head/www/nginx/Makefile
  head/www/nginx/Makefile.extmod
Comment 25 commit-hook freebsd_committer 2018-09-10 13:11:40 UTC
A commit references this bug:

Author: mat
Date: Mon Sep 10 13:11:31 UTC 2018
New revision: 479405
URL: https://svnweb.freebsd.org/changeset/ports/479405

Log:
  After an include, PLIST_SUB must be appended to, not overwritten.

  If it is overwritten, many values will be clobbered, and
  pain will ensue.

  PR:		230864
  Submitted by:	mat
  exp-runs by:	antoine

Changes:
  head/cad/astk-serveur/Makefile
  head/databases/dbh/Makefile
  head/databases/libgda5/Makefile
  head/databases/pglogical/Makefile
  head/devel/grumpy/Makefile
  head/devel/pth/Makefile
  head/devel/smack/Makefile
  head/devel/statcvs/Makefile
  head/emulators/mame/Makefile
  head/emulators/mtools/Makefile
  head/german/BBBike/Makefile
  head/graphics/OpenEXR/Makefile
  head/graphics/tgif/Makefile
  head/japanese/skkinput3/Makefile
  head/lang/gcc48/Makefile
  head/lang/gcc49/Makefile
  head/lang/gcc5/Makefile
  head/lang/gcc6/Makefile
  head/lang/gcc6-devel/Makefile
  head/lang/gcc7/Makefile
  head/lang/gcc7-devel/Makefile
  head/lang/gcc8-devel/Makefile
  head/lang/modula3/Makefile
  head/lang/smlnj/Makefile
  head/mail/cclient/Makefile
  head/mail/panda-cclient/Makefile
  head/news/leafnode/Makefile
  head/print/pdflib/Makefile
  head/science/cgnslib/Makefile
  head/sysutils/xcdroast/Makefile
  head/www/polipo/Makefile
  head/x11/rxvt-unicode/Makefile
  head/x11/xkbset/Makefile
Comment 26 commit-hook freebsd_committer 2018-09-10 13:15:45 UTC
A commit references this bug:

Author: mat
Date: Mon Sep 10 13:15:13 UTC 2018
New revision: 479406
URL: https://svnweb.freebsd.org/changeset/ports/479406

Log:
  Add DOCS options to ports that should have one.

  Also various fixes related to said option.

  PR:		230864
  Submitted by:	mat
  exp-runs by:	antoine

Changes:
  head/accessibility/kmag/Makefile
  head/accessibility/kmousetool/Makefile
  head/accessibility/kmouth/Makefile
  head/archivers/ark/Makefile
  head/archivers/brotli/Makefile
  head/archivers/erlang-snappy/Makefile
  head/archivers/lzop/Makefile
  head/astro/geographiclib/Makefile
  head/astro/libkgeomap/Makefile
  head/astro/marble/Makefile
  head/astro/opencpn/Makefile
  head/audio/audiocd-kio/Makefile
  head/audio/chromaprint/Makefile
  head/audio/juk/Makefile
  head/audio/kmix/Makefile
  head/audio/kwave/Makefile
  head/audio/libkcddb/Makefile
  head/audio/libkcompactdisc/Makefile
  head/audio/libnjb/Makefile
  head/audio/linux-c6-alsa-lib/Makefile
  head/audio/linux-c6-alsa-plugins-oss/Makefile
  head/audio/linux-c6-alsa-plugins-pulseaudio/Makefile
  head/audio/linux-c6-flac/Makefile
  head/audio/linux-c6-libaudiofile/Makefile
  head/audio/linux-c6-libogg/Makefile
  head/audio/linux-c6-libsndfile/Makefile
  head/audio/linux-c6-libvorbis/Makefile
  head/audio/linux-c6-mikmod/Makefile
  head/audio/linux-c6-nas-libs/Makefile
  head/audio/linux-c6-openal-soft/Makefile
  head/audio/linux-c6-sdl_mixer/Makefile
  head/audio/linux-c7-alsa-lib/Makefile
  head/audio/linux-c7-alsa-plugins-oss/Makefile
  head/audio/linux-c7-alsa-plugins-pulseaudio/Makefile
  head/audio/linux-c7-audiofile/Makefile
  head/audio/linux-c7-flac/Makefile
  head/audio/linux-c7-libogg/Makefile
  head/audio/linux-c7-libsndfile/Makefile
  head/audio/linux-c7-libvorbis/Makefile
  head/audio/linux-c7-openal-soft/Makefile
  head/audio/linux-c7-sdl_mixer/Makefile
  head/audio/lv2/Makefile
  head/audio/py-soundcloud/Makefile
  head/audio/rhythmbox/Makefile
  head/audio/speex/Makefile
  head/audio/speexdsp/Makefile
  head/audio/yoshimi/Makefile
  head/benchmarks/iperf3/Makefile
  head/benchmarks/pathchirp/Makefile
  head/benchmarks/ramspeed/Makefile
  head/benchmarks/thrulay/Makefile
  head/biology/bowtie/Makefile
  head/biology/phrap/Makefile
  head/biology/phred/Makefile
  head/cad/gmsh/Makefile
  head/cad/gtkwave/Makefile
  head/cad/kicad-devel/Makefile
  head/cad/opencascade/Makefile
  head/cad/qelectrotech/Makefile
  head/cad/tkgate/Makefile
  head/comms/dcf77pi/Makefile
  head/comms/direwolf/Makefile
  head/comms/hidapi/Makefile
  head/comms/libirman/Makefile
  head/comms/liquid-dsp/Makefile
  head/comms/nasawash/Makefile
  head/comms/nec2c/Makefile
  head/comms/splat/Makefile
  head/comms/svxlink/Makefile
  head/comms/thebridge/Makefile
  head/comms/tlf/Makefile
  head/comms/twpsk/Makefile
  head/comms/uhd/Makefile
  head/comms/wspr/Makefile
  head/converters/erlang-base64url/Makefile
  head/converters/uulib/Makefile
  head/databases/akonadi/Makefile
  head/databases/arangodb32/Makefile
  head/databases/arangodb33/Makefile
  head/databases/c3p0/Makefile
  head/databases/couchdb/Makefile
  head/databases/elixir-calecto/Makefile
  head/databases/elixir-db_connection/Makefile
  head/databases/elixir-ecto/Makefile
  head/databases/elixir-exredis/Makefile
  head/databases/elixir-geo/Makefile
  head/databases/elixir-mariaex/Makefile
  head/databases/elixir-mongo/Makefile
  head/databases/elixir-postgrex/Makefile
  head/databases/elixir-timex_ecto/Makefile
  head/databases/erlang-couchbeam/Makefile
  head/databases/erlang-epgsql/Makefile
  head/databases/erlang-eredis/Makefile
  head/databases/iowow/Makefile
  head/databases/libodbc++/Makefile
  head/databases/libpbl/Makefile
  head/databases/linux-c6-sqlite3/Makefile
  head/databases/linux-c7-sqlite3/Makefile
  head/databases/mariadb100-server/Makefile
  head/databases/mariadb101-server/Makefile
  head/databases/mariadb102-server/Makefile
  head/databases/mariadb103-server/Makefile
  head/databases/mdcached/Makefile
  head/databases/memcacheq/Makefile
  head/databases/monetdb/Makefile
  head/databases/mongodb32-tools/Makefile
  head/databases/mongodb34-tools/Makefile
  head/databases/mongodb36-tools/Makefile
  head/databases/ora2pg/Makefile
  head/databases/pg_partman/Makefile
  head/databases/pgespresso/Makefile
  head/databases/postgresql10-contrib/Makefile
  head/databases/postgresql10-server/Makefile
  head/databases/postgresql95-contrib/Makefile
  head/databases/postgresql96-contrib/Makefile
  head/databases/py-PyGreSQL/Makefile
  head/databases/py-bsddb3/Makefile
  head/databases/py-sqlobject/Makefile
  head/databases/qdbm/Makefile
  head/databases/sqlcached/Makefile
  head/deskutils/akonadi-calendar-tools/Makefile
  head/deskutils/akonadi-import-wizard/Makefile
  head/deskutils/akonadiconsole/Makefile
  head/deskutils/akregator/Makefile
  head/deskutils/gnote/Makefile
  head/deskutils/grantlee-editor/Makefile
  head/deskutils/grantleetheme/Makefile
  head/deskutils/kaddressbook/Makefile
  head/deskutils/kalarm/Makefile
  head/deskutils/kcharselect/Makefile
  head/deskutils/kdepim-addons/Makefile
  head/deskutils/kdepim-apps-libs/Makefile
  head/deskutils/kdepim-runtime/Makefile
  head/deskutils/keditbookmarks/Makefile
  head/deskutils/kfind/Makefile
  head/deskutils/kmail/Makefile
  head/deskutils/kmail-account-wizard/Makefile
  head/deskutils/knotes/Makefile
  head/deskutils/kontact/Makefile
  head/deskutils/korganizer/Makefile
  head/deskutils/kruler/Makefile
  head/deskutils/launchy/Makefile
  head/deskutils/libkdepim/Makefile
  head/deskutils/mbox-importer/Makefile
  head/deskutils/nautilus-actions/Makefile
  head/deskutils/notecase/Makefile
  head/deskutils/pim-data-exporter/Makefile
  head/deskutils/pim-sieve-editor/Makefile
  head/deskutils/taskd/Makefile
  head/deskutils/tasksh/Makefile
  head/devel/automake/Makefile
  head/devel/babeltrace/Makefile
  head/devel/bbfreeze/Makefile
  head/devel/boost-docs/Makefile
  head/devel/breakpad/Makefile
  head/devel/catch/Makefile
  head/devel/cctz/Makefile
  head/devel/cervisia/Makefile
  head/devel/commit-patch/Makefile
  head/devel/critcl/Makefile
  head/devel/cvs2svn/Makefile
  head/devel/cvschangelogbuilder/Makefile
  head/devel/cvsweb3/Makefile
  head/devel/dissy/Makefile
  head/devel/distel/Makefile
  head/devel/dolphin-plugins/Makefile
  head/devel/editline/Makefile
  head/devel/elixir-apex/Makefile
  head/devel/elixir-bson/Makefile
  head/devel/elixir-cachex/Makefile
  head/devel/elixir-calendar/Makefile
  head/devel/elixir-combine/Makefile
  head/devel/elixir-conform/Makefile
  head/devel/elixir-connection/Makefile
  head/devel/elixir-coverex/Makefile
  head/devel/elixir-crontab/Makefile
  head/devel/elixir-csv/Makefile
  head/devel/elixir-decimal/Makefile
  head/devel/elixir-deppie/Makefile
  head/devel/elixir-dialyze/Makefile
  head/devel/elixir-distillery/Makefile
  head/devel/elixir-estree/Makefile
  head/devel/elixir-eternal/Makefile
  head/devel/elixir-exactor/Makefile
  head/devel/elixir-excoveralls/Makefile
  head/devel/elixir-exjsx/Makefile
  head/devel/elixir-exprotobuf/Makefile
  head/devel/elixir-gen_stage/Makefile
  head/devel/elixir-gen_state_machine/Makefile
  head/devel/elixir-gettext/Makefile
  head/devel/elixir-hex/Makefile
  head/devel/elixir-inflex/Makefile
  head/devel/elixir-lager_logger/Makefile
  head/devel/elixir-libring/Makefile
  head/devel/elixir-make/Makefile
  head/devel/elixir-math/Makefile
  head/devel/elixir-msgpax/Makefile
  head/devel/elixir-nadia/Makefile
  head/devel/elixir-nats/Makefile
  head/devel/elixir-nimble_csv/Makefile
  head/devel/elixir-paratize/Makefile
  head/devel/elixir-plug/Makefile
  head/devel/elixir-poison/Makefile
  head/devel/elixir-quantum/Makefile
  head/devel/elixir-smppex/Makefile
  head/devel/elixir-swarm/Makefile
  head/devel/elixir-timex/Makefile
  head/devel/elixir-tirexs/Makefile
  head/devel/elixir-trailing_format_plug/Makefile
  head/devel/elixir-tzdata/Makefile
  head/devel/elixir-unsafe/Makefile
  head/devel/eric6/Makefile
  head/devel/erlang-backoff/Makefile
  head/devel/erlang-bbmustache/Makefile
  head/devel/erlang-bear/Makefile
  head/devel/erlang-certifi/Makefile
  head/devel/erlang-cf/Makefile
  head/devel/erlang-clique/Makefile
  head/devel/erlang-cuttlefish/Makefile
  head/devel/erlang-erlware_commons/Makefile
  head/devel/erlang-exmpp/Makefile
  head/devel/erlang-folsom/Makefile
  head/devel/erlang-gen_leader/Makefile
  head/devel/erlang-gen_rpc/Makefile
  head/devel/erlang-gen_smtp/Makefile
  head/devel/erlang-getopt/Makefile
  head/devel/erlang-goldrush/Makefile
  head/devel/erlang-gpb/Makefile
  head/devel/erlang-gproc/Makefile
  head/devel/erlang-hut/Makefile
  head/devel/erlang-jobs/Makefile
  head/devel/erlang-jsx/Makefile
  head/devel/erlang-jsxd/Makefile
  head/devel/erlang-katana/Makefile
  head/devel/erlang-lager/Makefile
  head/devel/erlang-lager_syslog/Makefile
  head/devel/erlang-meck/Makefile
  head/devel/erlang-metrics/Makefile
  head/devel/erlang-msgpack/Makefile
  head/devel/erlang-neotoma/Makefile
  head/devel/erlang-parse_trans/Makefile
  head/devel/erlang-poolboy/Makefile
  head/devel/erlang-pooler/Makefile
  head/devel/erlang-protobuffs/Makefile
  head/devel/erlang-providers/Makefile
  head/devel/erlang-rebar3_hex/Makefile
  head/devel/erlang-recon/Makefile
  head/devel/erlang-sbroker/Makefile
  head/devel/erlang-ssl_verify_fun/Makefile
  head/devel/erlang-syslog/Makefile
  head/devel/erlang-unicode_util_compat/Makefile
  head/devel/fistgen/Makefile
  head/devel/fpc-symbolic/Makefile
  head/devel/fsmtrie/Makefile
  head/devel/fstrm/Makefile
  head/devel/gb/Makefile
  head/devel/geany-plugin-geanypy/Makefile
  head/devel/geany-plugin-git-changebar/Makefile
  head/devel/geany-plugin-markdown/Makefile
  head/devel/geany-plugin-projectorganizer/Makefile
  head/devel/geany-plugin-utilslib/Makefile
  head/devel/gengetopt/Makefile
  head/devel/git-cinnabar/Makefile
  head/devel/git-cola/Makefile
  head/devel/glib20-reference/bsd.gnome-reference.mk
  head/devel/gnome-builder/Makefile
  head/devel/gprbuild/Makefile
  head/devel/icmake/Makefile
  head/devel/json-glib/Makefile
  head/devel/judy/Makefile
  head/devel/kapptemplate/Makefile
  head/devel/kcachegrind/Makefile
  head/devel/kde-dev-scripts/Makefile
  head/devel/kde-dev-utils/Makefile
  head/devel/kdesdk-thumbnailers/Makefile
  head/devel/kio-extras/Makefile
  head/devel/libcutl/Makefile
  head/devel/libdwarf/Makefile
  head/devel/libgit2-glib/Makefile
  head/devel/libiqxmlrpc/Makefile
  head/devel/libosmo-netif/Makefile
  head/devel/libosmo-sccp/Makefile
  head/devel/libosmocore/Makefile
  head/devel/libqb/Makefile
  head/devel/libxo/Makefile
  head/devel/linux-c6-dbus-glib/Makefile
  head/devel/linux-c6-libglade2/Makefile
  head/devel/linux-c6-libpciaccess/Makefile
  head/devel/linux-c6-libsigc++20/Makefile
  head/devel/linux-c6-libsoup/Makefile
  head/devel/linux-c6-libthai/Makefile
  head/devel/linux-c6-qt47/Makefile
  head/devel/linux-c6-sdl12/Makefile
  head/devel/linux-c7-dbus-glib/Makefile
  head/devel/linux-c7-icu/Makefile
  head/devel/linux-c7-libglade2/Makefile
  head/devel/linux-c7-libpciaccess/Makefile
  head/devel/linux-c7-libsigc++20/Makefile
  head/devel/linux-c7-libthai/Makefile
  head/devel/linux-c7-qt/Makefile
  head/devel/linux-c7-sdl12/Makefile
  head/devel/linux-c7-sdl20/Makefile
  head/devel/lmdbg/Makefile
  head/devel/lokalize/Makefile
  head/devel/lua-sysctl/Makefile
  head/devel/msp430-debug-stack/Makefile
  head/devel/pear/Makefile
  head/devel/pkgconf/Makefile
  head/devel/poxml/Makefile
  head/devel/protobuf-c/Makefile
  head/devel/pure-stllib/Makefile
  head/devel/py-Jinja2-doc/Makefile
  head/devel/py-crcmod/Makefile
  head/devel/py-pyro/Makefile
  head/devel/py-uvloop/Makefile
  head/devel/pydbus-common/Makefile
  head/devel/relx/Makefile
  head/devel/shell-toolbox/Makefile
  head/devel/stlink/Makefile
  head/devel/tcllib/Makefile
  head/devel/umbrello/Makefile
  head/devel/zookeeper/Makefile
  head/dns/ddclient/Makefile
  head/dns/drool/Makefile
  head/dns/dsc/Makefile
  head/dns/dsp/Makefile
  head/dns/erlang-idna/Makefile
  head/dns/knot-resolver/Makefile
  head/dns/knot1/Makefile
  head/dns/knot2/Makefile
  head/dns/linux-c6-libasyncns/Makefile
  head/dns/linux-c7-libasyncns/Makefile
  head/dns/powerdns/Makefile
  head/dns/py-namebench/Makefile
  head/dns/void-zones-tools/Makefile
  head/editors/kate/Makefile
  head/editors/kile/Makefile
  head/editors/leafpad/Makefile
  head/editors/micro/Makefile
  head/editors/pluma/Makefile
  head/editors/the/Makefile
  head/emulators/advancemess/Makefile
  head/emulators/aqemu/Makefile
  head/emulators/dosbox/Makefile
  head/emulators/dynagen/Makefile
  head/emulators/fs-uae-launcher/Makefile
  head/emulators/fuse/Makefile
  head/emulators/fuse-utils/Makefile
  head/emulators/libspectrum/Makefile
  head/emulators/mgba/Makefile
  head/emulators/mupen64plus-core/Makefile
  head/emulators/nestopia/Makefile
  head/emulators/pcsxr/Makefile
  head/emulators/qemu-cheri/Makefile
  head/ftp/bftpd/Makefile
  head/ftp/linux-c6-curl/Makefile
  head/ftp/linux-c7-curl/Makefile
  head/games/afternoonstalker/Makefile
  head/games/aop/Makefile
  head/games/battletanks/Makefile
  head/games/beret/Makefile
  head/games/blinken/Makefile
  head/games/bomber/Makefile
  head/games/bovo/Makefile
  head/games/burgerspace/Makefile
  head/games/capitalism/Makefile
  head/games/connectfive/Makefile
  head/games/evilfinder/Makefile
  head/games/formido/Makefile
  head/games/freeblocks/Makefile
  head/games/freedroidrpg/Makefile
  head/games/garith/Makefile
  head/games/goldencheetah/Makefile
  head/games/granatier/Makefile
  head/games/impossible_mission_puzzle/Makefile
  head/games/jchessboard/Makefile
  head/games/jfsw/Makefile
  head/games/joequake/Makefile
  head/games/kajongg/Makefile
  head/games/kanagram/Makefile
  head/games/kapman/Makefile
  head/games/katomic/Makefile
  head/games/kblackbox/Makefile
  head/games/kblocks/Makefile
  head/games/kbounce/Makefile
  head/games/kbreakout/Makefile
  head/games/kdiamond/Makefile
  head/games/kfourinline/Makefile
  head/games/kgoldrunner/Makefile
  head/games/khangman/Makefile
  head/games/kigo/Makefile
  head/games/killbots/Makefile
  head/games/kiriki/Makefile
  head/games/kjumpingcube/Makefile
  head/games/klickety/Makefile
  head/games/klines/Makefile
  head/games/kmahjongg/Makefile
  head/games/kmines/Makefile
  head/games/knavalbattle/Makefile
  head/games/knetwalk/Makefile
  head/games/kolf/Makefile
  head/games/kollision/Makefile
  head/games/konquest/Makefile
  head/games/kpat/Makefile
  head/games/kreversi/Makefile
  head/games/kshisen/Makefile
  head/games/ksirk/Makefile
  head/games/ksnakeduel/Makefile
  head/games/kspaceduel/Makefile
  head/games/ksquares/Makefile
  head/games/ksudoku/Makefile
  head/games/ktuberling/Makefile
  head/games/kubrick/Makefile
  head/games/libkdegames/Makefile
  head/games/libkmahjongg/Makefile
  head/games/lskat/Makefile
  head/games/mirrormagic/Makefile
  head/games/netpanzer/Makefile
  head/games/ninix-aya/Makefile
  head/games/openalchemist/Makefile
  head/games/openbor/Makefile
  head/games/openttd/Makefile
  head/games/palapeli/Makefile
  head/games/palomino/Makefile
  head/games/picmi/Makefile
  head/games/plutocracy/Makefile
  head/games/pokerth/Makefile
  head/games/pongix/Makefile
  head/games/prboom-plus/Makefile
  head/games/pvpgn/Makefile
  head/games/rnd_jue/Makefile
  head/games/sdlpop/Makefile
  head/games/taipan/Makefile
  head/games/tbe/Makefile
  head/games/trigger-rally/Makefile
  head/games/trimines/Makefile
  head/games/vegastrike/Makefile
  head/games/volleyball/Makefile
  head/games/voxelands/Makefile
  head/games/widelands/Makefile
  head/games/wmeyes/Makefile
  head/games/xorgramana/Makefile
  head/games/xshogi/Makefile
  head/games/yadex/Makefile
  head/german/selfhtml/Makefile
  head/graphics/bugle/Makefile
  head/graphics/embree/Makefile
  head/graphics/eom/Makefile
  head/graphics/gwenview/Makefile
  head/graphics/icc-profiles-adobe-cs4/Makefile
  head/graphics/kamera/Makefile
  head/graphics/kcolorchooser/Makefile
  head/graphics/kdegraphics-mobipocket/Makefile
  head/graphics/kdegraphics-svgpart/Makefile
  head/graphics/kdegraphics-thumbnailers/Makefile
  head/graphics/kimagemapeditor/Makefile
  head/graphics/kolourpaint/Makefile
  head/graphics/libboard/Makefile
  head/graphics/libgxps/Makefile
  head/graphics/libkdcraw/Makefile
  head/graphics/libkexiv2/Makefile
  head/graphics/libkipi/Makefile
  head/graphics/libksane/Makefile
  head/graphics/linux-c6-cairo/Makefile
  head/graphics/linux-c6-jpeg/Makefile
  head/graphics/linux-c6-png/Makefile
  head/graphics/linux-c6-sdl_image/Makefile
  head/graphics/linux-c6-sdl_ttf/Makefile
  head/graphics/linux-c6-tiff/Makefile
  head/graphics/linux-c7-cairo/Makefile
  head/graphics/linux-c7-dri/Makefile
  head/graphics/linux-c7-graphite2/Makefile
  head/graphics/linux-c7-jasper/Makefile
  head/graphics/linux-c7-jbigkit/Makefile
  head/graphics/linux-c7-jpeg/Makefile
  head/graphics/linux-c7-png/Makefile
  head/graphics/linux-c7-sdl_image/Makefile
  head/graphics/linux-c7-sdl_ttf/Makefile
  head/graphics/linux-c7-tiff/Makefile
  head/graphics/mandelbulber/Makefile
  head/graphics/mapnik/Makefile
  head/graphics/okular/Makefile
  head/graphics/openjump/Makefile
  head/graphics/optipng/Makefile
  head/graphics/oyranos/Makefile
  head/graphics/pencil/Makefile
  head/graphics/piglit/Makefile
  head/graphics/pqiv/Makefile
  head/graphics/rawtherapee/Makefile
  head/graphics/sdump/Makefile
  head/graphics/seq2gif/Makefile
  head/graphics/spectacle/Makefile
  head/graphics/vapoursynth-fmtconv/Makefile
  head/graphics/vapoursynth-waifu2x-w2xc/Makefile
  head/irc/ircd-ratbox/Makefile
  head/irc/irssi-fish/Makefile
  head/irc/ratbox-respond/Makefile
  head/irc/roxirc/Makefile
  head/japanese/canna-server/Makefile
  head/japanese/groff/Makefile
  head/japanese/jvim3/Makefile
  head/japanese/kiten/Makefile
  head/japanese/kon2-16dot/Makefile
  head/japanese/kterm/Makefile
  head/japanese/lookup/Makefile
  head/japanese/onew/Makefile
  head/japanese/plan/Makefile
  head/java/castor/Makefile
  head/java/jaxen/Makefile
  head/java/jdk8-doc/Makefile
  head/java/jdk9-doc/Makefile
  head/lang/alchemist.el/Makefile
  head/lang/cint/Makefile
  head/lang/dmd2/Makefile.bootstrap
  head/lang/elixir-mode.el/Makefile
  head/lang/fasm/Makefile
  head/lang/fpc-docs/Makefile
  head/lang/gambit-c/Makefile
  head/lang/kross-interpreters/Makefile
  head/lang/kturtle/Makefile
  head/lang/lfe/Makefile
  head/lang/linux-c6-tcl85/Makefile
  head/lang/linux-c7-tcl85/Makefile
  head/lang/modula3/Makefile
  head/lang/racket/Makefile
  head/lang/snobol4/Makefile
  head/mail/archiveopteryx/Makefile
  head/mail/archiveopteryx-devel/Makefile
  head/mail/exim-doc-html/Makefile
  head/mail/fastforward/Makefile
  head/mail/imapfilter/Makefile
  head/mail/opendkim/Makefile
  head/mail/opendmarc/Makefile
  head/mail/openemm2013/Makefile
  head/mail/openemm2015/Makefile
  head/mail/ovs/Makefile
  head/mail/policyd2/Makefile
  head/mail/postfix-policyd-sf/Makefile
  head/mail/pysieved/Makefile
  head/mail/ratelimit-policyd/Makefile
  head/mail/sieve-connect/Makefile
  head/mail/slapd-cyrus/Makefile
  head/mail/spmfilter-clamav/Makefile
  head/mail/sympa/Makefile
  head/math/analitza/Makefile
  head/math/blacs/Makefile
  head/math/blocksolve95/Makefile
  head/math/cantor/Makefile
  head/math/ccmath/Makefile
  head/math/clp/Makefile
  head/math/ggobi/Makefile
  head/math/gracetmpl/Makefile
  head/math/kalgebra/Makefile
  head/math/kbruch/Makefile
  head/math/kcalc/Makefile
  head/math/kig/Makefile
  head/math/kmplot/Makefile
  head/math/liborigin/Makefile
  head/math/librsb/Makefile
  head/math/mpfr/Makefile
  head/math/muparser/Makefile
  head/math/nfft/Makefile
  head/math/py-bitvector/Makefile
  head/math/reduce/Makefile
  head/math/reduce-psl/Makefile
  head/math/rocs/Makefile
  head/math/scalapack/Makefile
  head/misc/artikulate/Makefile
  head/misc/elixir-mime/Makefile
  head/misc/elixir-uuid/Makefile
  head/misc/erlang-mimerl/Makefile
  head/misc/erlang-mimetypes/Makefile
  head/misc/kdeedu-data/Makefile
  head/misc/kgeography/Makefile
  head/misc/klettres/Makefile
  head/misc/ktouch/Makefile
  head/misc/kwordquiz/Makefile
  head/misc/libkeduvocdocument/Makefile
  head/misc/parley/Makefile
  head/misc/qbrew/Makefile
  head/misc/sloccount/Makefile
  head/misc/susv2/Makefile
  head/misc/susv3/Makefile
  head/misc/susv4/Makefile
  head/misc/vdmfec/Makefile
  head/misc/vifm/Makefile
  head/multimedia/avinfo/Makefile
  head/multimedia/cheese/Makefile
  head/multimedia/devede/Makefile
  head/multimedia/dragon/Makefile
  head/multimedia/dvd-slideshow/Makefile
  head/multimedia/ffms2/Makefile
  head/multimedia/gpodder/Makefile
  head/multimedia/kamoso/Makefile
  head/multimedia/kdemultimedia-ffmpegthumbs/Makefile
  head/multimedia/kdenlive/Makefile
  head/multimedia/kvazaar/Makefile
  head/multimedia/libdvdnav/Makefile
  head/multimedia/libdvdread/Makefile
  head/multimedia/linux-c6-libtheora/Makefile
  head/multimedia/linux-c6-libv4l/Makefile
  head/multimedia/linux-c7-libtheora/Makefile
  head/multimedia/linux-c7-libv4l/Makefile
  head/multimedia/mpc-qt/Makefile
  head/multimedia/sms1xxx-kmod/Makefile
  head/multimedia/vapoursynth-l-smash-works/Makefile
  head/multimedia/winff/Makefile
  head/net/akonadi-calendar/Makefile
  head/net/akonadi-contacts/Makefile
  head/net/akonadi-mime/Makefile
  head/net/akonadi-notes/Makefile
  head/net/akonadi-search/Makefile
  head/net/axa/Makefile
  head/net/bsdproxy/Makefile
  head/net/calendarsupport/Makefile
  head/net/corosync2/Makefile.common
  head/net/delegate/Makefile
  head/net/deviceatlas-enterprise-c/Makefile
  head/net/dhcpd-pools/Makefile
  head/net/elixir-kafka_ex/Makefile
  head/net/elixir-oauth2/Makefile
  head/net/erlang-ranch/Makefile
  head/net/erlang-xmlrpc/Makefile
  head/net/eventviews/Makefile
  head/net/file2pcap/Makefile
  head/net/glusterfs/Makefile
  head/net/gnatsd/Makefile
  head/net/incidenceeditor/Makefile
  head/net/iodine/Makefile
  head/net/kalarmcal/Makefile
  head/net/kblog/Makefile
  head/net/kcalcore/Makefile
  head/net/kcalutils/Makefile
  head/net/kcontacts/Makefile
  head/net/kdav/Makefile
  head/net/kdenetwork-filesharing/Makefile
  head/net/kget/Makefile
  head/net/kidentitymanagement/Makefile
  head/net/kimap/Makefile
  head/net/kitinerary/Makefile
  head/net/kldap/Makefile
  head/net/kmailtransport/Makefile
  head/net/kmbox/Makefile
  head/net/kmime/Makefile
  head/net/kontactinterface/Makefile
  head/net/kpimtextedit/Makefile
  head/net/krdc/Makefile
  head/net/krfb/Makefile
  head/net/ksmtp/Makefile
  head/net/ktnef/Makefile
  head/net/l2tpd/Makefile
  head/net/ldapscripts/Makefile
  head/net/libgravatar/Makefile
  head/net/libkgapi/Makefile
  head/net/libksieve/Makefile
  head/net/libmateweather/Makefile
  head/net/libnss-pgsql/Makefile
  head/net/linknx/Makefile
  head/net/linux-c6-openldap/Makefile
  head/net/linux-c6-tcp_wrappers-libs/Makefile
  head/net/linux-c7-openldap/Makefile
  head/net/linux-c7-tcp_wrappers-libs/Makefile
  head/net/mailcommon/Makefile
  head/net/mailimporter/Makefile
  head/net/megatools/Makefile
  head/net/messagelib/Makefile
  head/net/mininet/Makefile
  head/net/mpd5/Makefile
  head/net/nats-streaming-server/Makefile
  head/net/netsed/Makefile
  head/net/nmsg/Makefile
  head/net/openbsc/Makefile
  head/net/openldap24-server/Makefile
  head/net/pimcommon/Makefile
  head/net/radvd/Makefile
  head/net/sflowtool/Makefile
  head/net/siproxd/Makefile
  head/net/spread/Makefile
  head/net/syncthing/Makefile
  head/net/syndication/Makefile
  head/net/tcpillust/Makefile
  head/net/zeroconf-ioslave/Makefile
  head/net-im/centerim/Makefile
  head/net-im/centerim-devel/Makefile
  head/net-im/kaccounts-integration/Makefile
  head/net-im/kaccounts-providers/Makefile
  head/net-im/kopete/Makefile
  head/net-im/ktp-accounts-kcm/Makefile
  head/net-im/ktp-approver/Makefile
  head/net-im/ktp-auth-handler/Makefile
  head/net-im/ktp-call-ui/Makefile
  head/net-im/ktp-common-internals/Makefile
  head/net-im/ktp-contact-list/Makefile
  head/net-im/ktp-contact-runner/Makefile
  head/net-im/ktp-desktop-applets/Makefile
  head/net-im/ktp-filetransfer-handler/Makefile
  head/net-im/ktp-kded-module/Makefile
  head/net-im/ktp-send-file/Makefile
  head/net-im/ktp-text-ui/Makefile
  head/net-im/prosody-modules/Makefile
  head/net-im/sayaka/Makefile
  head/net-im/skype/Makefile
  head/net-im/skype-devel/Makefile
  head/net-im/skype4/Makefile
  head/net-im/talkatu/Makefile
  head/net-im/telegram/Makefile
  head/net-im/vacuum-im/Makefile
  head/net-mgmt/adcli/Makefile
  head/net-mgmt/dnsmap/Makefile
  head/net-mgmt/driftnet/Makefile
  head/net-mgmt/fetchconfig/Makefile
  head/net-mgmt/hastmon/Makefile
  head/net-mgmt/iftop/Makefile
  head/net-mgmt/nsca-ng/Makefile
  head/net-mgmt/p5-Monitoring-Plugin/Makefile
  head/net-mgmt/p5-Nagios-Plugin/Makefile
  head/net-mgmt/py-snmp4/Makefile
  head/net-p2p/cpuminer/Makefile
  head/net-p2p/libswift/Makefile
  head/net-p2p/linuxdcpp/Makefile
  head/news/husky-fidoconf/Makefile
  head/news/husky-hpt/Makefile
  head/news/husky-htick/Makefile
  head/news/husky-huskylib/Makefile
  head/news/inn/Makefile
  head/news/mail2nntp/Makefile
  head/polish/qfaktury/Makefile
  head/ports-mgmt/bsdadminscripts2/Makefile
  head/ports-mgmt/pkg/Makefile
  head/ports-mgmt/pkg-devel/Makefile
  head/ports-mgmt/pkgcompare/Makefile
  head/ports-mgmt/portell/Makefile
  head/print/linux-c7-cups-libs/Makefile
  head/print/linux-c7-harfbuzz/Makefile
  head/print/muttprint/Makefile
  head/print/pdflib/Makefile
  head/print/pdfstitch/Makefile
  head/print/print-manager/Makefile
  head/science/afni/Makefile
  head/science/aircraft-datcom/Makefile
  head/science/jstrack/Makefile
  head/science/kalzium/Makefile
  head/science/sigrok-firmware-fx2lafw/Makefile
  head/science/sigrok-firmware-utils/Makefile
  head/science/step/Makefile
  head/security/amavisd-milter/Makefile
  head/security/cisco-torch/Makefile
  head/security/courier-authlib/Makefile
  head/security/cvechecker/Makefile
  head/security/elixir-comeonin/Makefile
  head/security/elixir-comeonin_i18n/Makefile
  head/security/elixir-jose/Makefile
  head/security/erlang-fast_tls/Makefile
  head/security/erlang-jose/Makefile
  head/security/fwbuilder/Makefile
  head/security/gorilla/Makefile
  head/security/govpn/Makefile
  head/security/gtkpasman/Makefile
  head/security/hamachi/Makefile
  head/security/hashcat/Makefile
  head/security/hashcat-legacy/Makefile
  head/security/hitch/Makefile
  head/security/ipguard/Makefile
  head/security/kgpg/Makefile
  head/security/kleopatra/Makefile
  head/security/kpkpass/Makefile
  head/security/kwalletmanager/Makefile
  head/security/libkleo/Makefile
  head/security/libntlm/Makefile
  head/security/linux-c6-cyrus-sasl2/Makefile
  head/security/linux-c6-libgcrypt/Makefile
  head/security/linux-c6-libssh2/Makefile
  head/security/linux-c6-libtasn1/Makefile
  head/security/linux-c6-openssl/Makefile
  head/security/linux-c7-cyrus-sasl2/Makefile
  head/security/linux-c7-libgcrypt/Makefile
  head/security/linux-c7-libssh2/Makefile
  head/security/linux-c7-libtasn1/Makefile
  head/security/linux-c7-nettle/Makefile
  head/security/linux-c7-openssl/Makefile
  head/security/linux-c7-p11-kit/Makefile
  head/security/linux-c7-trousers/Makefile
  head/security/logcheck/Makefile
  head/security/lynis/Makefile
  head/security/obfsclient/Makefile
  head/security/openconnect/Makefile
  head/security/openssh-portable/Makefile
  head/security/pad/Makefile
  head/security/pam-mysql/Makefile
  head/security/pkcs11-gateway/Makefile
  head/security/pkesh/Makefile
  head/security/rcracki_mt/Makefile
  head/security/signing-party/Makefile
  head/security/stoken/Makefile
  head/security/tclsasl/Makefile
  head/security/tmux-cssh/Makefile
  head/security/vlock/Makefile
  head/security/whatweb/Makefile
  head/security/wolfssl/Makefile
  head/security/xmlsec1/Makefile
  head/shells/44bsd-csh/Makefile
  head/shells/heirloom-sh/Makefile
  head/shells/jailkit/Makefile
  head/shells/lshell/Makefile
  head/shells/osh/Makefile
  head/sysutils/atop/Makefile
  head/sysutils/backupchecker/Makefile
  head/sysutils/bacula-docs/Makefile
  head/sysutils/bacula9-docs/Makefile
  head/sysutils/baloo-widgets/Makefile
  head/sysutils/bareos-docs/Makefile
  head/sysutils/catfish/Makefile
  head/sysutils/cdbkup/Makefile
  head/sysutils/clonehdd/Makefile
  head/sysutils/cmockery2/Makefile
  head/sysutils/deltup/Makefile
  head/sysutils/detox/Makefile
  head/sysutils/djmount/Makefile
  head/sysutils/duff/Makefile
  head/sysutils/duply/Makefile
  head/sysutils/fanout/Makefile
  head/sysutils/filelight/Makefile
  head/sysutils/fpart/Makefile
  head/sysutils/fswatch-mon/Makefile
  head/sysutils/hfm/Makefile
  head/sysutils/k3b/Makefile
  head/sysutils/kbackup/Makefile
  head/sysutils/kcron/Makefile
  head/sysutils/kdebugsettings/Makefile
  head/sysutils/kdf/Makefile
  head/sysutils/kdialog/Makefile
  head/sysutils/kfloppy/Makefile
  head/sysutils/khelpcenter/Makefile
  head/sysutils/ksystemlog/Makefile
  head/sysutils/lava/Makefile
  head/sysutils/liburcu/Makefile
  head/sysutils/lttng-tools/Makefile
  head/sysutils/lttng-ust/Makefile
  head/sysutils/memdump/Makefile
  head/sysutils/monitorix/Makefile
  head/sysutils/most/Makefile
  head/sysutils/nbosd/Makefile
  head/sysutils/openhpi/Makefile
  head/sysutils/py-bcfg2/Makefile
  head/sysutils/py-supervisor/Makefile
  head/sysutils/qdirstat/Makefile
  head/sysutils/read-edid/Makefile
  head/sysutils/sas2ircu/Makefile
  head/sysutils/scct/Makefile
  head/sysutils/signon-kwallet-extension/Makefile
  head/sysutils/signon-qt5/Makefile
  head/sysutils/sweeper/Makefile
  head/sysutils/tkdvd/Makefile
  head/sysutils/tree/Makefile
  head/sysutils/ts/Makefile
  head/sysutils/tw_cli/Makefile
  head/sysutils/ucspi-ssl/Makefile
  head/sysutils/watchman/Makefile
  head/sysutils/xjobs/Makefile
  head/sysutils/zap/Makefile
  head/sysutils/zfsnap2/Makefile
  head/textproc/bibtool/Makefile
  head/textproc/docbook-utils/Makefile
  head/textproc/elixir-earmark/Makefile
  head/textproc/elixir-ex_doc/Makefile
  head/textproc/elixir-funnel/Makefile
  head/textproc/elixir-sweet_xml/Makefile
  head/textproc/erlang-edown/Makefile
  head/textproc/erlang-fast_xml/Makefile
  head/textproc/erlang-p1_utils/Makefile
  head/textproc/erlang-yamerl/Makefile
  head/textproc/expat2/Makefile
  head/textproc/highlight/Makefile
  head/textproc/html-xml-utils/Makefile
  head/textproc/htmlc/Makefile
  head/textproc/java2html/Makefile
  head/textproc/kompare/Makefile
  head/textproc/libepubgen/Makefile
  head/textproc/libkomparediff2/Makefile
  head/textproc/libqxp/Makefile
  head/textproc/librevenge/Makefile
  head/textproc/linux-c6-expat/Makefile
  head/textproc/linux-c6-libxml2/Makefile
  head/textproc/linux-c7-expat/Makefile
  head/textproc/linux-c7-libxml2/Makefile
  head/textproc/metauml/Makefile
  head/textproc/rss2html/Makefile
  head/textproc/smi/Makefile
  head/textproc/xerces-j/Makefile
  head/textproc/xp/Makefile
  head/www/amphetadesk/Makefile
  head/www/apache24/Makefile.options
  head/www/axis/Makefile
  head/www/cgicc/Makefile
  head/www/elixir-html_entities/Makefile
  head/www/elixir-html_sanitize_ex/Makefile
  head/www/elixir-httpoison/Makefile
  head/www/elixir-httpotion/Makefile
  head/www/elixir-joken/Makefile
  head/www/elixir-maru/Makefile
  head/www/elixir-phoenix/Makefile
  head/www/elixir-phoenix_ecto/Makefile
  head/www/elixir-phoenix_html/Makefile
  head/www/elixir-phoenix_pubsub/Makefile
  head/www/elixir-webassembly/Makefile
  head/www/erlang-cowboy/Makefile
  head/www/erlang-cowlib/Makefile
  head/www/erlang-hackney/Makefile
  head/www/erlang-ibrowse/Makefile
  head/www/erlang-mochiweb/Makefile
  head/www/erlang-mochiweb-basho/Makefile
  head/www/erlang-webmachine/Makefile
  head/www/hypermail/Makefile
  head/www/jericho-html/Makefile
  head/www/linux-opera/Makefile
  head/www/luakit/Makefile
  head/www/mod_auth_cas/Makefile
  head/www/mod_auth_external2/Makefile
  head/www/mod_auth_mysql_another/Makefile
  head/www/mod_auth_pam2/Makefile
  head/www/mod_auth_pgsql2/Makefile
  head/www/mod_authnz_external24/Makefile
  head/www/mod_cfg_ldap/Makefile
  head/www/mod_chroot/Makefile
  head/www/mod_cvs2/Makefile
  head/www/mod_domaintree/Makefile
  head/www/mod_evasive/Makefile
  head/www/mod_fastcgi/Makefile
  head/www/mod_geoip2/Makefile
  head/www/mod_gzip2/Makefile
  head/www/mod_http2-devel/Makefile
  head/www/mod_limitipconn2/Makefile
  head/www/mod_md-devel/Makefile
  head/www/mod_rpaf2/Makefile
  head/www/php-templates/Makefile
  head/www/pmwiki/Makefile
  head/www/polipo/Makefile
  head/www/privatebin/Makefile
  head/www/roundup/Makefile
  head/www/spdylay/Makefile
  head/www/spreadlogd/Makefile
  head/www/squidanalyzer/Makefile
  head/www/varnish-libvmod-awsrest/Makefile
  head/www/varnish-libvmod-digest/Makefile
  head/www/varnish-libvmod-maxminddb/Makefile
  head/www/varnish4/Makefile
  head/www/varnish5/Makefile
  head/www/varnish6/Makefile
  head/www/volta/Makefile
  head/www/webinject/Makefile
  head/www/websh/Makefile
  head/www/www6to4/Makefile
  head/www/xshttpd/Makefile
  head/www/xshttpd-devel/Makefile
  head/x11/alttab/Makefile
  head/x11/konsole/Makefile
  head/x11/libXcm/Makefile
  head/x11/lightdm-gtk-greeter/Makefile
  head/x11/linux-c6-xorg-libs/Makefile
  head/x11/linux-c7-xorg-libs/Makefile
  head/x11/mate-desktop/Makefile
  head/x11/mate-panel/Makefile
  head/x11/menulibre/Makefile
  head/x11/trayer/Makefile
  head/x11/urxvt-perls/Makefile
  head/x11/wbarconf/Makefile
  head/x11/xcm/Makefile
  head/x11-clocks/kteatime/Makefile
  head/x11-clocks/ktimer/Makefile
  head/x11-drivers/xf86-video-qxl/Makefile
  head/x11-fm/dolphin/Makefile
  head/x11-fm/konqueror/Makefile
  head/x11-fm/mucommander/Makefile
  head/x11-fm/rodent/Makefile
  head/x11-fonts/averiagwf/Makefile
  head/x11-fonts/linux-c6-fontconfig/Makefile
  head/x11-fonts/linux-c7-fontconfig/Makefile
  head/x11-fonts/mkbold-mkitalic/Makefile
  head/x11-fonts/webfonts/Makefile
  head/x11-themes/sddm-freebsd-black-theme/Makefile
  head/x11-themes/slim-freebsd-black-theme/Makefile
  head/x11-toolkits/gtksourceview3/Makefile
  head/x11-toolkits/libxaw3dxft/Makefile
  head/x11-toolkits/linux-c6-openmotif/Makefile
  head/x11-toolkits/linux-c6-pango/Makefile
  head/x11-toolkits/linux-c6-tk85/Makefile
  head/x11-toolkits/linux-c7-openmotif/Makefile
  head/x11-toolkits/linux-c7-pango/Makefile
  head/x11-toolkits/linux-c7-tk85/Makefile
  head/x11-toolkits/osm-gps-map/Makefile
  head/x11-toolkits/py-fltk/Makefile
  head/x11-wm/blackbox/Makefile
  head/x11-wm/ctwm/Makefile
  head/x11-wm/larswm/Makefile
  head/x11-wm/xfce4-panel-profiles/Makefile
Comment 27 commit-hook freebsd_committer 2018-09-10 13:16:48 UTC
A commit references this bug:

Author: mat
Date: Mon Sep 10 13:16:08 UTC 2018
New revision: 479407
URL: https://svnweb.freebsd.org/changeset/ports/479407

Log:
  Add EXAMPLES options to ports that should have one.

  Also various fixes related to said option.

  PR:		230864
  Submitted by:	mat
  exp-runs by:	antoine

Changes:
  head/archivers/zip-ada/Makefile
  head/cad/qcad/Makefile
  head/databases/p5-DBD-Excel/Makefile
  head/databases/skytools/Makefile
  head/databases/tcl-sqlite3/Makefile
  head/deskutils/note/Makefile
  head/devel/allegro-devel/Makefile
  head/devel/cvs2svn/Makefile
  head/devel/cvsweb3/Makefile
  head/devel/eric6/Makefile
  head/devel/erlang-gen_leader/Makefile
  head/devel/erlang-jobs/Makefile
  head/devel/erlang-parse_trans/Makefile
  head/devel/fistgen/Makefile
  head/devel/gengetopt/Makefile
  head/devel/lua-sysctl/Makefile
  head/devel/p5-Object-Pluggable/Makefile
  head/devel/pure-stllib/Makefile
  head/devel/py-kid/Makefile
  head/devel/py-pymtbl/Makefile
  head/devel/py-pyro/Makefile
  head/devel/py-uvloop/Makefile
  head/devel/pydbus-common/Makefile
  head/devel/quickcheck++/Makefile
  head/devel/rebar/Makefile
  head/devel/rebar3/Makefile
  head/devel/relx/Makefile
  head/dns/ironsides/Makefile
  head/dns/powerdns/Makefile
  head/emulators/dynagen/Makefile
  head/ftp/py-pyftpdlib/Makefile
  head/games/mangband/Makefile
  head/graphics/gimp-gmic-plugin/Makefile
  head/graphics/py-pygooglechart/Makefile
  head/irc/ratbox-respond/Makefile
  head/irc/thales/Makefile
  head/japanese/groff/Makefile
  head/lang/elk/Makefile
  head/mail/muttils/Makefile
  head/mail/pysieved/Makefile
  head/mail/qmail-rblchk/Makefile
  head/mail/sympa/Makefile
  head/math/blocksolve95/Makefile
  head/math/emc2/Makefile
  head/math/lapack95/Makefile
  head/math/pari/Makefile
  head/math/ploticus/Makefile
  head/math/py-gato/Makefile
  head/math/scalapack/Makefile
  head/math/topaz/Makefile
  head/math/xgraph/Makefile
  head/misc/gwhich/Makefile
  head/misc/heyu2/Makefile
  head/multimedia/mpv/Makefile
  head/multimedia/nordlicht/Makefile
  head/multimedia/oscam/Makefile
  head/net/deviceatlas-enterprise-c/Makefile
  head/net/erlang-ranch/Makefile
  head/net/erlang-xmlrpc/Makefile
  head/net/freeradius3/Makefile
  head/net/freeswitch/Makefile
  head/net/mininet/Makefile
  head/net/pecl-radius/Makefile
  head/net/py-pynmsg/Makefile
  head/net/quagga/Makefile
  head/net/scribe/Makefile
  head/net/sflowtool/Makefile
  head/net-mgmt/argus3/Makefile
  head/net-mgmt/blackbox_exporter/Makefile
  head/net-mgmt/bsnmp-ucd/Makefile
  head/net-mgmt/icinga-classicweb/Makefile
  head/net-mgmt/icinga-core/Makefile
  head/net-mgmt/icingaweb2/Makefile
  head/net-mgmt/nagiosgraph/Makefile
  head/net-mgmt/netmagis-database/Makefile
  head/net-mgmt/netmagis-detecteq/Makefile
  head/net-mgmt/netmagis-metro/Makefile
  head/net-mgmt/netmagis-servers/Makefile
  head/net-mgmt/netmagis-topo/Makefile
  head/net-mgmt/netmagis-www/Makefile
  head/net-mgmt/nsca-ng/Makefile
  head/net-mgmt/p5-RDR-Collector/Makefile
  head/net-mgmt/pdagent-integrations/Makefile
  head/net-mgmt/pmacct/Makefile
  head/net-mgmt/pnp/Makefile
  head/net-mgmt/py-snmp4/Makefile
  head/net-mgmt/smokeping/Makefile
  head/net-p2p/minder/Makefile
  head/news/inn/Makefile
  head/science/cdcl/Makefile
  head/security/hashcat-legacy/Makefile
  head/security/logcheck/Makefile
  head/security/openct/Makefile
  head/security/p5-Digest-SHA-PurePerl/Makefile
  head/security/signing-party/Makefile
  head/shells/osh/Makefile
  head/sysutils/cfengine22/Makefile
  head/sysutils/ck4up/Makefile
  head/sysutils/hfm/Makefile
  head/sysutils/immortal/Makefile
  head/sysutils/racktables/Makefile
  head/sysutils/zfsnap2/Makefile
  head/textproc/apache-solr3/Makefile
  head/textproc/metauml/Makefile
  head/textproc/py-xlwriter/Makefile
  head/textproc/ruby-rdtool/Makefile
  head/textproc/tex2im/Makefile
  head/textproc/xerces-j/Makefile
  head/textproc/xom/Makefile
  head/www/axis/Makefile
  head/www/erlang-cowboy/Makefile
  head/www/erlang-mochiweb/Makefile
  head/www/erlang-mochiweb-basho/Makefile
  head/www/mod_auth_pam2/Makefile
  head/www/mod_gzip2/Makefile
  head/www/mod_tsa/Makefile
  head/www/p5-CGI.pm/Makefile
  head/www/py-pyweblib/Makefile
  head/www/pycarddav/Makefile
  head/www/qdecoder/Makefile
  head/www/trac-tweakui/Makefile
  head/www/ufdbguard/Makefile
  head/www/websh/Makefile
  head/www/xombrero/Makefile
  head/x11/mrxvt-devel/Makefile
  head/x11-toolkits/py-fltk/Makefile
  head/x11-wm/ctwm/Makefile
Comment 28 commit-hook freebsd_committer 2018-09-10 13:16:50 UTC
A commit references this bug:

Author: mat
Date: Mon Sep 10 13:16:21 UTC 2018
New revision: 479408
URL: https://svnweb.freebsd.org/changeset/ports/479408

Log:
  Various cleanup & fixes post-DOCS/EXAMPLES cleanup.

  PR:		230864
  Submitted by:	mat
  exp-runs by:	antoine

Changes:
  head/cad/calculix-ccx/Makefile
  head/devel/critcl/Makefile
  head/devel/libiqxmlrpc/Makefile
  head/dns/bind9-devel/Makefile
  head/dns/bind912/Makefile
  head/dns/bind913/Makefile
  head/editors/the/pkg-plist
  head/games/connectfive/Makefile
  head/japanese/lookup/Makefile
  head/math/nfft/Makefile
  head/math/reduce/Makefile
  head/math/reduce-psl/Makefile
  head/net/sflowtool/Makefile
  head/net/tcludp/Makefile
  head/sysutils/tkdvd/Makefile
  head/textproc/libxml++26-reference/pkg-plist
  head/www/mod_auth_cas/Makefile
  head/www/mod_rpaf2/Makefile
  head/www/varnish6/Makefile
Comment 29 commit-hook freebsd_committer 2018-09-10 13:16:52 UTC
A commit references this bug:

Author: mat
Date: Mon Sep 10 13:16:24 UTC 2018
New revision: 479409
URL: https://svnweb.freebsd.org/changeset/ports/479409

Log:
  Add a DEV_ERROR if PORTDOCS/PORTEXAMPLES are set and DOCS/EXAMPLES
  options are not defined.

  PR:		230864
  Submitted by:	mat
  exp-runs by:	antoine
  Differential Revision:	https://reviews.freebsd.org/D13651

Changes:
  head/Mk/bsd.port.mk
  head/Mk/bsd.sanity.mk
Comment 30 commit-hook freebsd_committer 2018-09-10 13:16:54 UTC
A commit references this bug:

Author: mat
Date: Mon Sep 10 13:16:27 UTC 2018
New revision: 479410
URL: https://svnweb.freebsd.org/changeset/ports/479410

Log:
  Only set %%PORTDOCS%%/%%PORTEXAMPLES%% if a DOCS/EXAMPLES option is defined.

  PR:		230864
  Submitted by:	mat
  exp-runs by:	antoine
  Differential Revision:	https://reviews.freebsd.org/D13651

Changes:
  head/Mk/bsd.options.mk
Comment 31 commit-hook freebsd_committer 2018-09-11 02:13:36 UTC
A commit references this bug:

Author: osa
Date: Tue Sep 11 02:13:19 UTC 2018
New revision: 479498
URL: https://svnweb.freebsd.org/changeset/ports/479498

Log:
  Merge r479404 from www/nginx.

  <Commitlog>

  Some modules depend on other being there before.

  For example, devel_kit needs to be there before a few other, so this
  fixes, and allow for future fixes of this kind of problem:

  configuring additional dynamic modules
  adding module in /wrkdirs/usr/ports/www/nginx-full/work/array-var-nginx-module-0.05
  error: ngx_devel_kit is required to build ngx_array_var; please put it before ngx_array_var.

  PR:		230864
  Submitted by:	mat
  exp-runs by:	antoine

  </Commitlog>

Changes:
  head/www/nginx-devel/Makefile
  head/www/nginx-devel/Makefile.extmod
Comment 32 Matthias Andree freebsd_committer 2018-10-06 14:27:35 UTC
FTR, intrusive sweeping changes like these need to be discussed outside the portmgr ivory tower. These regressed misc/susv2 misc/susv3 misc/susv4 which no longer served their purpose without the DOCS option, when DOCS was not a semantic option but just framework formalism.

I am very unhappy there have not been head-ups.

Canonical workaround for the breakage introduced here:
OPTIONS_SLAVE=DOCS
Comment 33 commit-hook freebsd_committer 2018-11-25 01:28:23 UTC
A commit references this bug:

Author: gerald
Date: Sun Nov 25 01:28:05 UTC 2018
New revision: 485839
URL: https://svnweb.freebsd.org/changeset/ports/485839

Log:
  Merge r479405 | mat | 2018-09-10 from lang/gcc8-devel to lang/gcc8 as well:

    After an include, PLIST_SUB must be appended to, not overwritten.

    If it is overwritten, many values will be clobbered, and
    pain will ensue.

  PR:		230864
  Reviewed by:	mat

Changes:
  head/lang/gcc8/Makefile
Comment 34 commit-hook freebsd_committer 2019-01-19 13:34:53 UTC
A commit references this bug:

Author: gerald
Date: Sat Jan 19 13:34:41 UTC 2019
New revision: 490722
URL: https://svnweb.freebsd.org/changeset/ports/490722

Log:
  Update to the 20190113 snapshot of GCC 9.

  Merge r479405 | mat | 2018-09-10 from lang/gcc8-devel to lang/gcc9-devel
  as well: [1]

    After an include, PLIST_SUB must be appended to, not overwritten.

    If it is overwritten, many values will be clobbered, and
    pain will ensue.

  PR:		230864 [1]
  Reviewed by:	mat [1]

Changes:
  head/lang/gcc9-devel/Makefile
  head/lang/gcc9-devel/distinfo